Subject: Re: emacs 21.3 does work while 22.1 works: Why 21.3 is default in cygwin setup
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked]
Cc: me <[email-masked]>
Date: Wed, 12 Mar 2008 10:56:39 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

--- Brian Dessent <[email-masked]> wrote:

> Tatsuro MATSUOKA wrote:
> 
> > I have downdloded emacs-X11-21.2-13.tar.bz2 from
> > ftp://mirror.nyi.net/cygwin/release/emacs/emacs-X11/
> > 
> > There are two folders under usr
> > usr/bin
> > usr/share
> > 
> > at usr/bin
> > $ ls -l
> > total 4584
> > -rwx------+ 1 Tatsu none       0 Mar 23  2004 emacs-21.2.exe*
> > -rwx------+ 1 Tatsu none 4694016 Mar 23  2004 emacs.exe*
> > 
> > There are no emacs-X11 and the size of emacs-21.2.exe is zero.
> > How can they work correctly?
> 
> Are you unpacking this .tar.bz2 with some kind of non-Cygwin utility
> like winzip or winrar?  That will give you a false sense of something
> being broken because they don't understand links.  emacs-21.2.exe is a
> link in the tarball.  If you view the contents of this tarball with "tar
> jtvf" you will see:
> 
>  -rwxr-xr-t jhpb/domain users 4350464 2004-03-22 12:59 usr/bin/emacs.exe
> hrwxr-xr-t jhpb/domain users       0 2004-03-22 12:59
> usr/bin/emacs-21.2.exe link to usr/bin/emacs.exe
> hrwxr-xr-t jhpb/domain users       0 2004-03-22 12:59
> usr/bin/emacs-nox.exe link to usr/bin/emacs.exe
> 
> So this is a red herring.  I just installed the emacs and emacs-X11
> 21.2-13 packages with setup and both worked fine in console and X11
> mode.  I did have to replace cygreadline7.dll with an unrebased one but
> that is a known issue.
> 
> > Perhaps an accident might happen to collapse the package of emacs-X11 for 21.2-13 on the
> cygwin root
> > server.
> > This is the truly happening now, please correct them by the maintainers team.
> 
> There's no need to be alarmist, the package is fine.

Thanks.

You are right.  
$ tar xvfkj emacs-X11-21.2-13.tar.bz2
usr/bin/emacs.exe
usr/bin/emacs-21.2.exe
usr/share/emacs/21.2/etc/DOC-X-21.2.1  

$ ls -l usr/bin
total 9168
-rwxr-xr-x 2 Tatsu none 4694016 Mar 23  2004 emacs-21.2.exe*
-rwxr-xr-x 2 Tatsu none 4694016 Mar 23  2004 emacs.exe* 

Then why could I install emacs 21.2-13 correcrly?

At the past, setup.exe automatically would be updated the emacs.
After that I cannot execute 
$ emacs
Nothing happend
Only
$ emacs -nw
worked.
This happens both in home and university.

Perhaps the problems in any other place.  
Someone tells me that it is possible to be specific to Japanese windows XP.
However I would like to stop the discussion here because emacs-22.1 works fine.

Thank for all to reply me (including Dave's black joke!)

Regrads

Tatsuro

--------------------------------------
Easy + Joy + Powerful = Yahoo! Bookmarks x Toolbar
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/